<template>

    <div class="row">
        <div class="col-3" v-for="pokemon of pokemons" :key="pokemon.id">

            <div class="card">
                <img :src="pokemon.image" alt="Card example image">

                <div class="card-body">
                    <h4 class="card-title">{{ pokemon.name }}</h4>
                    <div v-for=" type of  pokemon.apiTypes " :key="type.name">
                        <img :src="type.image" alt="" style="width:2em">
                    </div>
                    <h5 class="card-subtitle" v-for=" type of  pokemon.apiTypes" :key="type.name"> {{ type.name }}</h5>



                    <p class="card-text">Notice that the card width in this example have been set to 20rem,
                        otherwise it
                        will try to fill the current container/row where the card is.</p>
                    <button>Let me go here!</button>
                </div>
            </div>
        </div>

    </div>


</template>

<script setup lang="ts">
import type { Pokemon } from '@/entities';
import { fetchPokemons } from '@/service/pokemon-service';
import { onMounted, ref } from 'vue';

const pokemons = ref<Pokemon[]>([]);
console.log(fetchPokemons());


onMounted(async () => {
    pokemons.value = await fetchPokemons();
});



</script>